Backward compatibility issue for report scripts
Closed, ResolvedPublic


Regression in script handling with Kexi 3.


  1. Run Kexi 3.0 or 3.1, create a new empty report and save it
  2. Run Kexi 2.9.11 and open the saved script
  3. Expected result: opens without warnings
  4. Actual result, warning:

Test file:

  • report1 was reated in Kexi 3.1
  • report2 was reated in Kexi 3.0
staniek created this task.May 22 2017, 12:15 PM
staniek assigned this task to piggz.
staniek updated the task description. (Show Details)
staniek renamed this task from backward compatibility issue for report scripts to Backward compatibility issue for report scripts.May 22 2017, 12:17 PM
staniek moved this task from Backlog to TODO 3.1 on the KReport board.
piggz added a comment.May 24 2017, 8:19 PM

Ah, the bug is not when loading/saving a existing report, it is on report creation.

piggz added a comment.May 24 2017, 8:23 PM

So, in this case, d->originalInterpreter would be "".......

piggz added a comment.EditedMay 24 2017, 8:34 PM

New report saved as
"<!DOCTYPE kexireport>\n<kexireport>\n <report:content xmlns:report=\"\" xmlns:svg=\"urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0\" xmlns:fo=\"urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0\">\n <report:title>Report</report:title>\n <report:script report:script-interpreter=\"javascript\"></report:script>\n <report:grid report:grid-snap=\"1\" report:grid-divisions=\"4\" report:page-unit=\"cm\" report:grid-visible=\"1\"/>\n <report:page-style fo:margin-bottom=\"28.346505799999999pt\" fo:margin-left=\"28.346505799999999pt\" report:print-orientation=\"portrait\" fo:margin-top=\"28.346505799999999pt\" fo:margin-right=\"28.346505799999999pt\" report:page-size=\"A4\">predefined</report:page-style>\n <report:body>\n <report:detail>\n <report:section svg:height=\"70.866264500005670pt\" report:section-type=\"detail\" fo:background-color=\"#ffffff\"/>\n </report:detail>\n </report:body>\n </report:content>\n <connection type=\"internal\" source=\"\"/>\n</kexireport>\n"

piggz closed this task as Resolved.May 27 2017, 9:32 PM